Bug 965895 - Review Request: nodejs-node-static - Simple, compliant file streaming module for node
Review Request: nodejs-node-static - Simple, compliant file streaming module ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 19:08 EDT by Troy Dawson
Modified: 2013-10-22 01:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-node-static-0.7.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 01:01:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-05-21 19:08:38 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-node-static.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-node-static-0.6.9-1.fc20.src.rpm
Description: 
node-static has an in-memory file cache, making it highly efficient.
node-static understands and supports *conditional GET* and *HEAD* requests.
node-static was inspired by some of the other static-file serving modules
  out there, such as node-paperboy and antinode.

Fedora Account System Username: tdawson
Comment 2 Marek Mahut 2013-10-10 10:19:00 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6046899

This package looks good, the only cosmetic change I'd make is to remove the stars from %description along with the [] tags. The wiki syntax looks odd in the yum output.

Otherwise this package is good, thank you.
Comment 3 Troy Dawson 2013-10-11 09:35:45 EDT
Thanks.
I have changed the *'s to " and a few other minor description changes.
Comment 4 Troy Dawson 2013-10-11 09:38:02 EDT
New Package SCM Request
=======================
Package Name: nodejs-node-static
Short Description: Simple, compliant file streaming module for node
Owners: tdawson
Branches: f18 f19 f20 el6
InitialCC:
Comment 5 Jon Ciesla 2013-10-11 09:49:38 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-10-11 10:55:57 EDT
nodejs-node-static-0.7.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-node-static-0.7.1-2.fc19
Comment 7 Fedora Update System 2013-10-11 20:00:06 EDT
nodejs-node-static-0.7.1-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-10-22 01:01:59 EDT
nodejs-node-static-0.7.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.